/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "SW_3.h"

//Select switch type: 0=Simple R/W, 1=4-bit R/W, 2=RW1S/RW1C, 3=RW1S/RW0C

void SW_3_Start(void) { }

#if (0 == 0)
	
void SW_3_Close(void)
{
	reg32* add = (reg32*)(CYDEV_ANAIF_RT_SC1_SW8);
	*add |= (0x1 << (1));
}

void SW_3_Open(void)
{
	reg32* add = (reg32*)(CYDEV_ANAIF_RT_SC1_SW8);
	*add &= ~(0x1 << (1));
}

#elif (0 == 1)

void SW_3_Close(void)
{
	reg32* add = (reg32*)(CYDEV_ANAIF_RT_SC1_SW8);
	uint32 mask = ~((uint32)(0xF << (1)));
	uint32 flags = ((uint32)() << (1));
	*add &= mask;
	*add |= flags;
}

void SW_3_Open(void)
{
	reg32* add = (reg32*)(CYDEV_ANAIF_RT_SC1_SW8);
	uint32 mask = ~((uint32)(0xF << (1)));
	*add &= mask;
}

#elif (0 == 2)

void SW_3_Close(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (1));
	
}

void SW_3_Open(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (1));
}

#else

void SW_3_Close(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (1));
}

void SW_3_Open(void)
{
	reg32* add = (reg32*)();
	*add = ~(0x1 << (1));
}

#endif

/* [] END OF FILE */
