/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "SW_4.h"

//Select switch type: 0=Simple R/W, 1=4-bit R/W, 2=RW1S/RW1C, 3=RW1S/RW0C

void SW_4_Start(void) { }

#if (0 == 0)
	
void SW_4_Close(void)
{
	reg32* add = (reg32*)(CYDEV_IO_PRT_PRT1_AG);
	*add |= (0x1 << (5));
}

void SW_4_Open(void)
{
	reg32* add = (reg32*)(CYDEV_IO_PRT_PRT1_AG);
	*add &= ~(0x1 << (5));
}

#elif (0 == 1)

void SW_4_Close(void)
{
	reg32* add = (reg32*)(CYDEV_IO_PRT_PRT1_AG);
	uint32 mask = ~((uint32)(0xF << (5)));
	uint32 flags = ((uint32)() << (5));
	*add &= mask;
	*add |= flags;
}

void SW_4_Open(void)
{
	reg32* add = (reg32*)(CYDEV_IO_PRT_PRT1_AG);
	uint32 mask = ~((uint32)(0xF << (5)));
	*add &= mask;
}

#elif (0 == 2)

void SW_4_Close(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (5));
	
}

void SW_4_Open(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (5));
}

#else

void SW_4_Close(void)
{
	reg32* add = (reg32*)();
	*add = (0x1 << (5));
}

void SW_4_Open(void)
{
	reg32* add = (reg32*)();
	*add = ~(0x1 << (5));
}

#endif

/* [] END OF FILE */
