/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "`$INSTANCE_NAME`.h"

//Select switch type: 0=Simple R/W, 1=4-bit R/W, 2=RW1S/RW1C, 3=RW1S/RW0C

void `$INSTANCE_NAME`_Start(void) { }

#if (`$SWITCH_TYPE` == 0)
	
void `$INSTANCE_NAME`_Close(void)
{
	reg32* add = (reg32*)(`$RW_ADDRESS`);
	*add |= (0x1 << (`$BIT_OR_MASK_SHIFT`));
}

void `$INSTANCE_NAME`_Open(void)
{
	reg32* add = (reg32*)(`$RW_ADDRESS`);
	*add &= ~(0x1 << (`$BIT_OR_MASK_SHIFT`));
}

#elif (`$SWITCH_TYPE` == 1)

void `$INSTANCE_NAME`_Close(void)
{
	reg32* add = (reg32*)(`$RW_ADDRESS`);
	uint32 mask = ~((uint32)(0xF << (`$BIT_OR_MASK_SHIFT`)));
	uint32 flags = ((uint32)(`$RW_4BIT_BITFLAGS`) << (`$BIT_OR_MASK_SHIFT`));
	*add &= mask;
	*add |= flags;
}

void `$INSTANCE_NAME`_Open(void)
{
	reg32* add = (reg32*)(`$RW_ADDRESS`);
	uint32 mask = ~((uint32)(0xF << (`$BIT_OR_MASK_SHIFT`)));
	*add &= mask;
}

#elif (`$SWITCH_TYPE` == 2)

void `$INSTANCE_NAME`_Close(void)
{
	reg32* add = (reg32*)(`$RW1S_ADDRESS`);
	*add = (0x1 << (`$BIT_OR_MASK_SHIFT`));
	
}

void `$INSTANCE_NAME`_Open(void)
{
	reg32* add = (reg32*)(`$RW1C_ADDRESS`);
	*add = (0x1 << (`$BIT_OR_MASK_SHIFT`));
}

#else

void `$INSTANCE_NAME`_Close(void)
{
	reg32* add = (reg32*)(`$RW1S_ADDRESS`);
	*add = (0x1 << (`$BIT_OR_MASK_SHIFT`));
}

void `$INSTANCE_NAME`_Open(void)
{
	reg32* add = (reg32*)(`$RW0C_ADDRESS`);
	*add = ~(0x1 << (`$BIT_OR_MASK_SHIFT`));
}

#endif

/* [] END OF FILE */
